Subject: Re: bug#24427: 25.1.50; end-of-defun jumps too far

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 11 Aug 2020 16:03:20 +0200

Noam Postavsky <[email-masked]> writes:

> Not entirely sure if this is correct, but the patch below seems to fix
> it for me, without breaking any of the previously mentioned scenarios.
> I find the fact that end-of-defun goes to the line following the closing
> paren a bit dubious, though I guess since it's been that way so long, we
> can hardly change it now.

[...]

> * lisp/emacs-lisp/lisp.el (end-of-defun): Only skip to next line when
> after end of defun when ARG is 1 or less.
> * test/lisp/emacs-lisp/lisp-tests.el (end-of-defun-twice): New test.

There was no followup on this.  I tested the patch, and it seems to work
for me.  (There's no test failures in "make check" either.)

So I just went ahead and pushed the fix to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no